NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.AddReusablePart Class Reference

Represents a NXOpen.Tooling.AddReusablePart More...

Inheritance diagram for NXOpen.Tooling.AddReusablePart:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ComponentMode { Normal = 1, Cadenas = 3 }
 Represents the component type of the added part More...
 
enum  ModeMethod { Add = 1, Edit }
 Represents adding or editing a reusable component mode method More...
 
enum  PocketBodyMethod { None = 1, Update, Delete }
 Represents save pocket body information, updating or deleting a pocket body size mode method More...
 
enum  PositionMethod {
  Invalid = -1, Absolute, Mate, Reposition,
  Wcs, Position, Point = 15, InferredOny,
  Routing
}
 Represents the position method More...
 

Public Member Functions

unsafe void AddClonePartName (string clonedpartname)
 Adds clone part name More...
 
unsafe void AddComponentMode (NXOpen.Tooling.AddReusablePart.ModeMethod modeMethod)
 Adds mode for a reusable component More...
 
unsafe void AddComponentProperty (string compName, string refsetName, int layer)
 Adds Component Properties More...
 
unsafe void AddCriteriaToInstance (bool hasCriteria, string expStr, string addValue)
 Sets criteria into instance More...
 
unsafe void AddHoleInstance (NXOpen.Point3d inputDirection, NXOpen.Point3d inputPostion)
 Adds series of reusable components in holes More...
 
unsafe void AddHoleInstanceForCsys (NXOpen.Point3d inputDirection, NXOpen.Point3d inputPostion, NXOpen.NXObject selCsys)
 Adds series of reusable components in csys More...
 
unsafe void AddNewInstance (NXOpen.Assemblies.Component partOcc, int index)
 Adds a new instance More...
 
unsafe void AddPartOccurance (NXOpen.Assemblies.Component partOcc)
 Adds occurance into the part data More...
 
unsafe void AffirmReusableComponent ()
 Affirms insertion of the reusable component More...
 
unsafe void ConstructParametersData ()
 Constructs the parameters data, reads data from part family or spreadsheet and updates the parameter data in the part More...
 
unsafe NXOpen.Tooling.CloneObject CreateCloneObject (NXOpen.Tooling.ToolingApplication applicationType, string assemName)
 Creates the clone operation object More...
 
unsafe void CreateComponents (int count, NXOpen.NXObject selobj)
 Creates an array instance of a component More...
 
unsafe void CreatePatternComponent (bool createPattern)
 Create the pattern component when the positioining pattern sketch feature is not exsit; edit pattern component when the positioining pattern feature is exsit More...
 
unsafe void CreatePositioningFeatureByPoint (NXOpen.NXObject selobj, NXOpen.Point3d inputPosition, bool centerFace)
 Create positioning feature on the given position More...
 
unsafe void CreatePositioningFeatureOnPoint (NXOpen.NXObject selobj, NXOpen.Point3d inputPosition, bool centerFace)
 Create positioning feature on the given position More...
 
unsafe void CreateReusableConstraints (int index)
 Creates constraints for the reusable component More...
 
unsafe void CreateReusablePocket (bool commit)
 Creates pocket for a reusable component More...
 
unsafe void DeleteComponents (int count)
 Deletes an array instance of a component More...
 
unsafe void DeleteReusableConstraints ()
 Deletes constraints for the reusable component More...
 
unsafe void DeleteReusablePocket ()
 Deletes pocket for a reusable component More...
 
unsafe void DestroyReusableBuilder ()
 Destroys reusable builder data More...
 
unsafe void EditReusableComponent (NXOpen.Assemblies.Component partOcc)
 Edits a reusable component More...
 
unsafe NXOpen.Features.Feature FindPositioningFeatureSet ()
 Find the positioning feature set by pattern sketch More...
 
unsafe NXOpen.NXObject GetAttachedGeometry ()
 Gets the attached geometry, this is mainly used to get the initial parameter More...
 
unsafe NXOpen.Tooling.CloneObject GetCloneObject ()
 Gets the clone operation object More...
 
unsafe
NXOpen.Assemblies.Component[] 
GetDesignElement ()
 Gets an array of design elements More...
 
unsafe NXOpen.Point3d GetInitialPosition ()
 Gets the initial location, this is mainly used to get default add location of a reusable component More...
 
unsafe NXOpen.Part GetParentPart ()
 Gets the parent part, this is mainly used to get context work part of a reusable component More...
 
unsafe
NXOpen.Tooling.ReusablePocketBuilder 
GetReusablePocketBuilder ()
 Gets the reusable pocket builder More...
 
unsafe
NXOpen.Tooling.SpreadsheetData 
GetSpreadsheetData ()
 Gets the spreadsheet data, this is mainly used to get the attributes of a reusable component More...
 
unsafe void InsertReusableComponent (int instIndex, bool needTransform)
 Inserts the component into the part data More...
 
unsafe void LoadReusableComponent (string krxFile)
 Loads the reusable component More...
 
unsafe void ModifyParametersByRow (int index)
 Modify parameters according to row index. More...
 
unsafe void MoveReusableComponent (NXOpen.Vector3d translation, NXOpen.Matrix3x3 rotation, int index)
 Moves a reusable component to a selected position More...
 
unsafe void RecordReusableComponent (string fileName)
 Records the existing reusable component with the same name More...
 
unsafe void RemoveDesignElement ()
 Removes design element component More...
 
unsafe void RemoveFamilyInstance (NXOpen.Part part)
 Removes an instance of a part family member More...
 
unsafe void RemoveOldInstance (int index)
 Removes the instance from the part data More...
 
unsafe void RemoveReusableComponent (int index)
 Removes a reusable component More...
 
unsafe void ReplaceReusableComponent ()
 Replace reusable component More...
 
unsafe NXOpen.NXObject ReverseComponentDirection (NXOpen.Point3d inputPosition, NXOpen.Point3d inputDirection, double length, NXOpen.Point3d outputPosition, NXOpen.Point3d outputDirection)
 Reverses the direction of the reusable component if the reusable component is placed on a face. More...
 
unsafe void ReversePreviewComponent (NXOpen.Point3d rememberDir)
 Reverses the direction of the reusable component if the reusable component is not placed on a face. More...
 
unsafe void SaveLibraryPath (string libName, string libpath)
 Saves the library name and path of the reusable component More...
 
unsafe void SavePositioningOriginPlacement (string positionOffSet, int placementOriginIndex)
 Keep positioning offset and placement index More...
 
unsafe void SetAttachedGeometry (NXOpen.NXObject part)
 Sets the attached geometry, this is mainly used to set the initial parameter More...
 
unsafe void SetCloneObject (NXOpen.Tooling.CloneObject cloneObject)
 Sets the clone operation object More...
 
unsafe void SetComponentHandleToPoint ()
 Keep the reusable component handle information into its associated pattern point More...
 
unsafe void SetComponentProperties (string referenceSetName, string componentName, int layer)
 Sets the reusable component properties More...
 
unsafe void SetComponentToReplace (int index, NXOpen.Assemblies.Component replaceComponent)
 Sets the selected component to replace More...
 
unsafe void SetEnablePreview (bool isTrunOn)
 Sets the toggle of the Preview widget More...
 
unsafe void SetInitialPosition (NXOpen.Point3d dropLocation)
 Sets the initial location, this is mainly used to set default add location of a reusable component More...
 
unsafe void SetParentPart (NXOpen.Part part)
 Sets the parent part, this is mainly used to set context work part of a reusable component More...
 
unsafe void SetReplaceTemplate (NXOpen.Part replaceTemplate)
 Sets the replace template part More...
 
unsafe void SetReusablePocketBuilder (NXOpen.Tooling.ReusablePocketBuilder pocketTag)
 Sets the reusable pocket builder More...
 
unsafe void SetSearchGeometry (bool isTrunOn)
 Sets the search geometry for a reusable component More...
 
unsafe void SetSpreadsheetData (NXOpen.Tooling.SpreadsheetData spreadsheetData)
 Sets the spreadsheet data, this is mainly used to set the attributes of a reusable component More...
 
unsafe void SetUpdateComponentName (bool updateComponentName)
 Sets the update component name for a reusable component More...
 
unsafe void SubtituteReusableComponent (bool substituteInstance)
 Subtitutes a reusable part More...
 
unsafe void UpdateCadenasParameter (string paraName, string paraValue)
 Updates the CADENAS component by given parameter name and value, the name can also be retrieved by calling the following methods. More...
 
unsafe void UpdateParametersByConfiguration ()
 Updates parameters by configuration More...
 
unsafe void UpdatePartData ()
 Updates the part data of a reusable component More...
 
unsafe void UpdatePocketBody (bool createPattern, NXOpen.Tooling.AddReusablePart.PocketBodyMethod updatePocketBody)
 Update pocket body for mw library reusable component More...
 
unsafe void UpdatePositioningOffset (string positionOffSet)
 Update positioning offset More...
 
unsafe void UpdateReusableComponent ()
 Updates the part data for a reusable component, this is mainly used to update parameter for a reusable component More...
 
unsafe void UpdateReusablePocket ()
 Updates the pocket for a reusable component More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Assemblies.ComponentPatternBuilder 
ComponentPatternBuilder [get, set]
 Returns or sets the current component pattern builder More...
 
unsafe
NXOpen.Tooling.AddReusablePart.ComponentMode 
ComponentType [get, set]
 Returns or sets the current component type More...
 
unsafe NXOpen.Sketch PositioningFeature [get, set]
 Returns or sets the positioning feature that needed for reusable component More...
 
unsafe
NXOpen.Tooling.AddReusablePart.PositionMethod 
PositionMode [get, set]
 Returns or sets the current position method More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.AddReusablePart

To create a new instance of this class, use NXOpen.Tooling.AddReusablePartCollection.CreateBuilder

Default values.

Property Value

ComponentPatternBuilder.PatternService.AlongPathDefinition.XOnPathSpacing.NCopies.Value

2

ComponentPatternBuilder.PatternService.AlongPathDefinition.XOnPathSpacing.SpaceType

Offset

ComponentPatternBuilder.PatternService.AlongPathDefinition.XPathOption

Offset

ComponentPatternBuilder.PatternService.AlongPathDefinition.YDirectionOption

Section

ComponentPatternBuilder.PatternService.AlongPathDefinition.YOnPathSpacing.NCopies.Value

1

ComponentPatternBuilder.PatternService.AlongPathDefinition.YPathOption

Offset

ComponentPatternBuilder.PatternService.AlongPathDefinition.YSpacing.NCopies.Value

1

ComponentPatternBuilder.PatternService.AlongPathDefinition.YSpacing.PitchDistance.Value

10 (millimeters part), 1 (inches part)

ComponentPatternBuilder.PatternService.AlongPathDefinition.YSpacing.SpaceType

Offset

ComponentPatternBuilder.PatternService.AlongPathDefinition.YSpacing.SpanDistance.Value

100 (millimeters part), 10 (inches part)

ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.NCopies.Value

12

ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.PitchAngle.Value

30

ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.PitchDistance.Value

10 (millimeters part), 1 (inches part)

ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.SpaceType

Offset

ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.SpanAngle.Value

360 (millimeters part), 360 (inches part)

ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.UsePitchOption

Angle

ComponentPatternBuilder.PatternService.CircularDefinition.CreateLastStaggered

true

ComponentPatternBuilder.PatternService.CircularDefinition.HorizontalRef.RotationAngle.Value

0 (millimeters part), 0 (inches part)

ComponentPatternBuilder.PatternService.CircularDefinition.IncludeSeedToggle

true

ComponentPatternBuilder.PatternService.CircularDefinition.RadialSpacing.NCopies.Value

1

ComponentPatternBuilder.PatternService.CircularDefinition.StaggerType

None

ComponentPatternBuilder.PatternService.HelixDefinition.AnglePitch.Value

30

ComponentPatternBuilder.PatternService.HelixDefinition.CountOfInstances.Value

6

ComponentPatternBuilder.PatternService.HelixDefinition.DirectionType

Righthand

ComponentPatternBuilder.PatternService.HelixDefinition.DistancePitch.Value

10 (millimeters part), 0.4 (inches part)

ComponentPatternBuilder.PatternService.HelixDefinition.HelixPitch.Value

50 (millimeters part), 2 (inches part)

ComponentPatternBuilder.PatternService.HelixDefinition.HelixSpan.Value

100 (millimeters part), 4 (inches part)

ComponentPatternBuilder.PatternService.HelixDefinition.NumberOfTurns.Value

2

ComponentPatternBuilder.PatternService.HelixDefinition.SizeOption

CountAngleDistance

ComponentPatternBuilder.PatternService.PatternFill.FillMargin.Value

0 (millimeters part), 0 (inches part)

ComponentPatternBuilder.PatternService.PatternFill.FillOptions

None

ComponentPatternBuilder.PatternService.PatternFill.SimplifiedBoundaryToggle

False

ComponentPatternBuilder.PatternService.PatternOrientation.AlongOrientationOption

NormalToPath

ComponentPatternBuilder.PatternService.PatternOrientation.CircularOrientationOption

FollowPattern

ComponentPatternBuilder.PatternService.PatternOrientation.FollowFaceProjDirOption

PatternPlaneNormal

ComponentPatternBuilder.PatternService.PatternOrientation.GeneralOrientationOption

Fixed

ComponentPatternBuilder.PatternService.PatternOrientation.HelixOrientationOption

FollowPattern

ComponentPatternBuilder.PatternService.PatternOrientation.LinearOrientationOption

Fixed

ComponentPatternBuilder.PatternService.PatternOrientation.MirrorOrientationOption

FollowPattern

ComponentPatternBuilder.PatternService.PatternOrientation.OrientationOption

Fixed

ComponentPatternBuilder.PatternService.PatternOrientation.PolygonOrientationOption

FollowPattern

ComponentPatternBuilder.PatternService.PatternOrientation.SpiralOrientationOption

FollowPattern

ComponentPatternBuilder.PatternService.PatternType

Linear

ComponentPatternBuilder.PatternService.PolygonDefinition.NumberOfSides.Value

6

ComponentPatternBuilder.PatternService.PolygonDefinition.PolygonSizeOption

Inscribed

ComponentPatternBuilder.PatternService.PolygonDefinition.PolygonSpacing.NCopies.Value

4

ComponentPatternBuilder.PatternService.PolygonDefinition.PolygonSpacing.PitchDistance.Value

25 (millimeters part), 1 (inches part)

ComponentPatternBuilder.PatternService.PolygonDefinition.PolygonSpacing.SpaceType

Offset

ComponentPatternBuilder.PatternService.PolygonDefinition.PolygonSpacing.SpanAngle.Value

360

ComponentPatternBuilder.PatternService.PolygonDefinition.RadialSpacing.NCopies.Value

1

ComponentPatternBuilder.PatternService.PolygonDefinition.RadialSpacing.PitchDistance.Value

25 (millimeters part), 1 (inches part)

ComponentPatternBuilder.PatternService.PolygonDefinition.RadialSpacing.SpanDistance.Value

100 (millimeters part), 4 (inches part)

ComponentPatternBuilder.PatternService.RectangularDefinition.CreateLastStaggered

true

ComponentPatternBuilder.PatternService.RectangularDefinition.SimplifiedLayoutType

Square

ComponentPatternBuilder.PatternService.RectangularDefinition.StaggerType

None

ComponentPatternBuilder.PatternService.RectangularDefinition.XSpacing.NCopies.Value

2

ComponentPatternBuilder.PatternService.RectangularDefinition.YSpacing.NCopies.Value

1

ComponentPatternBuilder.PatternService.SpiralDefinition.DirectionType

Lefthand

ComponentPatternBuilder.PatternService.SpiralDefinition.NumberOfTurns.Value

1 (millimeters part), 1 (inches part)

ComponentPatternBuilder.PatternService.SpiralDefinition.RadialPitch.Value

50 (millimeters part), 2 (inches part)

ComponentPatternBuilder.PatternService.SpiralDefinition.SizeSpiralType

NumberOfTurns

ComponentPatternBuilder.PatternService.SpiralDefinition.TotalAngle.Value

360 (millimeters part), 360 (inches part)

Created in NX5.0.0

Member Enumeration Documentation

Represents the component type of the added part

Enumerator
Normal 

normal reusable component

Cadenas 

cadenas part component

Represents adding or editing a reusable component mode method

Enumerator
Add 

Add reusable component

Edit 

Edit reusable component

Represents save pocket body information, updating or deleting a pocket body size mode method

Enumerator
None 

Save pocket body information into attatched component

Update 

Update the existed pocket body size

Delete 

Delete pocket body

Represents the position method

Enumerator
Invalid 
Absolute 
Mate 
Reposition 
Wcs 
Position 
Point 

Position by point

InferredOny 
Routing 

Position using Routing

Member Function Documentation

unsafe void NXOpen.Tooling.AddReusablePart.AddClonePartName ( string  clonedpartname)
inline

Adds clone part name

Created in NX9.0.0

License requirements: None.

Parameters
clonedpartnameThe new clone part name
unsafe void NXOpen.Tooling.AddReusablePart.AddComponentMode ( NXOpen.Tooling.AddReusablePart.ModeMethod  modeMethod)
inline

Adds mode for a reusable component

Created in NX9.0.0

License requirements: None.

Parameters
modeMethod
unsafe void NXOpen.Tooling.AddReusablePart.AddComponentProperty ( string  compName,
string  refsetName,
int  layer 
)
inline

Adds Component Properties

Created in NX9.0.0

License requirements: None.

Parameters
compNameThe name of the reference set used to represent the new component
refsetNameThe layer to place the new component on
layer
unsafe void NXOpen.Tooling.AddReusablePart.AddCriteriaToInstance ( bool  hasCriteria,
string  expStr,
string  addValue 
)
inline

Sets criteria into instance

Created in NX11.0.0

License requirements: None.

Parameters
hasCriteria
expStr
addValue
unsafe void NXOpen.Tooling.AddReusablePart.AddHoleInstance ( NXOpen.Point3d  inputDirection,
NXOpen.Point3d  inputPostion 
)
inline

Adds series of reusable components in holes

Created in NX9.0.0

License requirements: None.

Parameters
inputDirectionThe input direction of component
inputPostionThe input position of componnent
unsafe void NXOpen.Tooling.AddReusablePart.AddHoleInstanceForCsys ( NXOpen.Point3d  inputDirection,
NXOpen.Point3d  inputPostion,
NXOpen.NXObject  selCsys 
)
inline

Adds series of reusable components in csys

Created in NX11.0.1

License requirements: None.

Parameters
inputDirectionThe input direction of component
inputPostionThe input position of componnent
selCsysThe input csys of component
unsafe void NXOpen.Tooling.AddReusablePart.AddNewInstance ( NXOpen.Assemblies.Component  partOcc,
int  index 
)
inline

Adds a new instance

Created in NX9.0.0

License requirements: None.

Parameters
partOccAdd the new occurance into the part data
indexThe index of component instance
unsafe void NXOpen.Tooling.AddReusablePart.AddPartOccurance ( NXOpen.Assemblies.Component  partOcc)
inline

Adds occurance into the part data

Created in NX9.0.0

License requirements: None.

Parameters
partOccThe component occurance to add in the part data
unsafe void NXOpen.Tooling.AddReusablePart.AffirmReusableComponent ( )
inline

Affirms insertion of the reusable component

Created in NX9.0.0

License requirements: None.

unsafe void NXOpen.Tooling.AddReusablePart.ConstructParametersData ( )
inline

Constructs the parameters data, reads data from part family or spreadsheet and updates the parameter data in the part

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Tooling.CloneObject NXOpen.Tooling.AddReusablePart.CreateCloneObject ( NXOpen.Tooling.ToolingApplication  applicationType,
string  assemName 
)
inline

Creates the clone operation object

Created in NX6.0.0

License requirements: None.

Parameters
applicationTypeWizard type
assemNameProject assembly name
Returns
the new NXOpen.Tooling.CloneObject instance
unsafe void NXOpen.Tooling.AddReusablePart.CreateComponents ( int  count,
NXOpen.NXObject  selobj 
)
inline

Creates an array instance of a component

Created in NX9.0.0

License requirements: None.

Parameters
countThe count is array instance number
selobjThe selected object is FACE type, the reusable component place on the face
unsafe void NXOpen.Tooling.AddReusablePart.CreatePatternComponent ( bool  createPattern)
inline

Create the pattern component when the positioining pattern sketch feature is not exsit; edit pattern component when the positioining pattern feature is exsit

Created in NX11.0.0

License requirements: None.

Parameters
createPatternFlag to decide whether to create pattern component or edit, set flag as true to create and set flag false to edit
unsafe void NXOpen.Tooling.AddReusablePart.CreatePositioningFeatureByPoint ( NXOpen.NXObject  selobj,
NXOpen.Point3d  inputPosition,
bool  centerFace 
)
inline

Create positioning feature on the given position

Created in NX1847.0.0

License requirements: None.

Parameters
selobjThe selected object is FACE type, the reusable component place on the face
inputPositionThe input position
centerFacewhether to use face center as location
unsafe void NXOpen.Tooling.AddReusablePart.CreatePositioningFeatureOnPoint ( NXOpen.NXObject  selobj,
NXOpen.Point3d  inputPosition,
bool  centerFace 
)
inline

Create positioning feature on the given position

Created in NX11.0.0

License requirements: None.

Parameters
selobjThe selected object is FACE type, the reusable component place on the face
inputPositionThe input position
centerFacewhether to use face center as location
unsafe void NXOpen.Tooling.AddReusablePart.CreateReusableConstraints ( int  index)
inline

Creates constraints for the reusable component

Created in NX9.0.0

License requirements: None.

Parameters
indexThe index part is to create constraints
unsafe void NXOpen.Tooling.AddReusablePart.CreateReusablePocket ( bool  commit)
inline

Creates pocket for a reusable component

Created in NX9.0.0

License requirements: None.

Parameters
commitif the variable is true, the component needs pocket
unsafe void NXOpen.Tooling.AddReusablePart.DeleteComponents ( int  count)
inline

Deletes an array instance of a component

Created in NX9.0.0

License requirements: None.

Parameters
countThe count is array instance number
unsafe void NXOpen.Tooling.AddReusablePart.DeleteReusableConstraints ( )
inline

Deletes constraints for the reusable component

Created in NX9.0.0

License requirements: None.

unsafe void NXOpen.Tooling.AddReusablePart.DeleteReusablePocket ( )
inline

Deletes pocket for a reusable component

Created in NX9.0.0

License requirements: None.

unsafe void NXOpen.Tooling.AddReusablePart.DestroyReusableBuilder ( )
inline

Destroys reusable builder data

Created in NX9.0.0

License requirements: None.

unsafe void NXOpen.Tooling.AddReusablePart.EditReusableComponent ( NXOpen.Assemblies.Component  partOcc)
inline

Edits a reusable component

Created in NX9.0.0

License requirements: None.

Parameters
partOccThe component occurance to edit in the part data
unsafe NXOpen.Features.Feature NXOpen.Tooling.AddReusablePart.FindPositioningFeatureSet ( )
inline

Find the positioning feature set by pattern sketch

Created in NX11.0.0

License requirements: None.

Returns
Positioning feature set
unsafe NXOpen.NXObject NXOpen.Tooling.AddReusablePart.GetAttachedGeometry ( )
inline

Gets the attached geometry, this is mainly used to get the initial parameter

Created in NX9.0.0

License requirements: None.

Returns
Geometry to calculate the initial parameter
unsafe NXOpen.Tooling.CloneObject NXOpen.Tooling.AddReusablePart.GetCloneObject ( )
inline

Gets the clone operation object

Created in NX9.0.0

License requirements: None.

Returns
A NXOpen.Tooling.CloneObject instance
unsafe NXOpen.Assemblies.Component [] NXOpen.Tooling.AddReusablePart.GetDesignElement ( )
inline

Gets an array of design elements

Created in NX9.0.0

License requirements: None.

Returns
The design elements
unsafe NXOpen.Point3d NXOpen.Tooling.AddReusablePart.GetInitialPosition ( )
inline

Gets the initial location, this is mainly used to get default add location of a reusable component

Created in NX9.0.0

License requirements: None.

Returns
Drop location to initial parameter
unsafe NXOpen.Part NXOpen.Tooling.AddReusablePart.GetParentPart ( )
inline

Gets the parent part, this is mainly used to get context work part of a reusable component

Created in NX9.0.0

License requirements: None.

Returns
The parent part to place the component
unsafe NXOpen.Tooling.ReusablePocketBuilder NXOpen.Tooling.AddReusablePart.GetReusablePocketBuilder ( )
inline

Gets the reusable pocket builder

Created in NX9.0.0

License requirements: None.

Returns
The reusable component pocket builder
unsafe NXOpen.Tooling.SpreadsheetData NXOpen.Tooling.AddReusablePart.GetSpreadsheetData ( )
inline

Gets the spreadsheet data, this is mainly used to get the attributes of a reusable component

Created in NX9.0.0

License requirements: None.

Returns
Spreadsheet data
unsafe void NXOpen.Tooling.AddReusablePart.InsertReusableComponent ( int  instIndex,
bool  needTransform 
)
inline

Inserts the component into the part data

Created in NX9.0.0

License requirements: None.

Parameters
instIndexThe index of the new component being added in the part data
needTransformWhether the component needs to be transformed in the fastener assembly
unsafe void NXOpen.Tooling.AddReusablePart.LoadReusableComponent ( string  krxFile)
inline

Loads the reusable component

Created in NX9.0.0

License requirements: None.

Parameters
krxFileThe KRX file
unsafe void NXOpen.Tooling.AddReusablePart.ModifyParametersByRow ( int  index)
inline

Modify parameters according to row index.

The number of the row is defined by the template data file.

Created in NX11.0.0

License requirements: None.

Parameters
indexThe index is the row of the template data file
unsafe void NXOpen.Tooling.AddReusablePart.MoveReusableComponent ( NXOpen.Vector3d  translation,
NXOpen.Matrix3x3  rotation,
int  index 
)
inline

Moves a reusable component to a selected position

Created in NX9.0.0

License requirements: None.

Parameters
translationThe translation data
rotationThe rotation data
indexThe reusable component index in the part data
unsafe void NXOpen.Tooling.AddReusablePart.RecordReusableComponent ( string  fileName)
inline

Records the existing reusable component with the same name

Created in NX9.0.0

License requirements: None.

Parameters
fileNameThe reusable component name
unsafe void NXOpen.Tooling.AddReusablePart.RemoveDesignElement ( )
inline

Removes design element component

Created in NX9.0.0

License requirements: None.

unsafe void NXOpen.Tooling.AddReusablePart.RemoveFamilyInstance ( NXOpen.Part  part)
inline

Removes an instance of a part family member

Created in NX11.0.0

License requirements: None.

Parameters
part
unsafe void NXOpen.Tooling.AddReusablePart.RemoveOldInstance ( int  index)
inline

Removes the instance from the part data

Created in NX9.0.0

License requirements: None.

Parameters
indexThe index of component instance
unsafe void NXOpen.Tooling.AddReusablePart.RemoveReusableComponent ( int  index)
inline

Removes a reusable component

Created in NX9.0.0

License requirements: None.

Parameters
indexThe reusable component index in the part data
unsafe void NXOpen.Tooling.AddReusablePart.ReplaceReusableComponent ( )
inline

Replace reusable component

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.NXObject NXOpen.Tooling.AddReusablePart.ReverseComponentDirection ( NXOpen.Point3d  inputPosition,
NXOpen.Point3d  inputDirection,
double  length,
NXOpen.Point3d  outputPosition,
NXOpen.Point3d  outputDirection 
)
inline

Reverses the direction of the reusable component if the reusable component is placed on a face.

Created in NX9.0.0

License requirements: None.

Parameters
inputPositionThe input position of componnent
inputDirectionThe input direction of componnent
lengthThe input length of componnent
Returns
The output face of the componnent on
Parameters
outputPositionThe output position of componnent
outputDirectionThe output position of componnent
unsafe void NXOpen.Tooling.AddReusablePart.ReversePreviewComponent ( NXOpen.Point3d  rememberDir)
inline

Reverses the direction of the reusable component if the reusable component is not placed on a face.

Created in NX9.0.0

License requirements: None.

Parameters
rememberDirThe original position of component
unsafe void NXOpen.Tooling.AddReusablePart.SaveLibraryPath ( string  libName,
string  libpath 
)
inline

Saves the library name and path of the reusable component

Created in NX9.0.0

License requirements: None.

Parameters
libNameLibrary name
libpathThe path in the library
unsafe void NXOpen.Tooling.AddReusablePart.SavePositioningOriginPlacement ( string  positionOffSet,
int  placementOriginIndex 
)
inline

Keep positioning offset and placement index

Created in NX11.0.0

License requirements: None.

Parameters
positionOffSetThe positionging offset value that defined in the krx file
placementOriginIndexThe positioning placement origin index that defined in the krx file
unsafe void NXOpen.Tooling.AddReusablePart.SetAttachedGeometry ( NXOpen.NXObject  part)
inline

Sets the attached geometry, this is mainly used to set the initial parameter

Created in NX9.0.0

License requirements: None.

Parameters
partGeometry to calculate the initial parameter
unsafe void NXOpen.Tooling.AddReusablePart.SetCloneObject ( NXOpen.Tooling.CloneObject  cloneObject)
inline

Sets the clone operation object

Created in NX9.0.0

License requirements: None.

Parameters
cloneObjectA NXOpen.Tooling.CloneObject instance
unsafe void NXOpen.Tooling.AddReusablePart.SetComponentHandleToPoint ( )
inline

Keep the reusable component handle information into its associated pattern point

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.Tooling.AddReusablePart.SetComponentProperties ( string  referenceSetName,
string  componentName,
int  layer 
)
inline

Sets the reusable component properties

Created in NX9.0.0

License requirements: None.

Parameters
referenceSetNameThe name of the reference set used to represent the new component
componentNameThe name of the new component
layerThe layer to place the new component on
unsafe void NXOpen.Tooling.AddReusablePart.SetComponentToReplace ( int  index,
NXOpen.Assemblies.Component  replaceComponent 
)
inline

Sets the selected component to replace

Created in NX11.0.0

License requirements: None.

Parameters
indexThe index for component to replace
replaceComponentThe component to replace
unsafe void NXOpen.Tooling.AddReusablePart.SetEnablePreview ( bool  isTrunOn)
inline

Sets the toggle of the Preview widget

Created in NX9.0.0

License requirements: None.

Parameters
isTrunOnWhehter preview toggle is turned on, which is on the add reusable component dialog
unsafe void NXOpen.Tooling.AddReusablePart.SetInitialPosition ( NXOpen.Point3d  dropLocation)
inline

Sets the initial location, this is mainly used to set default add location of a reusable component

Created in NX9.0.0

License requirements: None.

Parameters
dropLocationDrop location to initial parameter
unsafe void NXOpen.Tooling.AddReusablePart.SetParentPart ( NXOpen.Part  part)
inline

Sets the parent part, this is mainly used to set context work part of a reusable component

Created in NX9.0.0

License requirements: None.

Parameters
partThe parent part to place the component
unsafe void NXOpen.Tooling.AddReusablePart.SetReplaceTemplate ( NXOpen.Part  replaceTemplate)
inline

Sets the replace template part

Created in NX11.0.0

License requirements: None.

Parameters
replaceTemplateThe replace template part
unsafe void NXOpen.Tooling.AddReusablePart.SetReusablePocketBuilder ( NXOpen.Tooling.ReusablePocketBuilder  pocketTag)
inline

Sets the reusable pocket builder

Created in NX9.0.0

License requirements: None.

Parameters
pocketTagThe reusable component pocket builder
unsafe void NXOpen.Tooling.AddReusablePart.SetSearchGeometry ( bool  isTrunOn)
inline

Sets the search geometry for a reusable component

Created in NX9.0.0

License requirements: None.

Parameters
isTrunOnWhehter the search geometry toggle is turned on, which is on the add reusable component dialog
unsafe void NXOpen.Tooling.AddReusablePart.SetSpreadsheetData ( NXOpen.Tooling.SpreadsheetData  spreadsheetData)
inline

Sets the spreadsheet data, this is mainly used to set the attributes of a reusable component

Created in NX9.0.0

License requirements: None.

Parameters
spreadsheetDataSpreadsheet data
unsafe void NXOpen.Tooling.AddReusablePart.SetUpdateComponentName ( bool  updateComponentName)
inline

Sets the update component name for a reusable component

Created in NX12.0.0

License requirements: None.

Parameters
updateComponentNameWhehter the component name will be updated or not for copied part
unsafe void NXOpen.Tooling.AddReusablePart.SubtituteReusableComponent ( bool  substituteInstance)
inline

Subtitutes a reusable part

Created in NX9.0.0

License requirements: None.

Parameters
substituteInstanceWhether the resuable component needs to be substituted
unsafe void NXOpen.Tooling.AddReusablePart.UpdateCadenasParameter ( string  paraName,
string  paraValue 
)
inline

Updates the CADENAS component by given parameter name and value, the name can also be retrieved by calling the following methods.

NXOpen.Tooling.AddReusablePart.GetSpreadsheetData , NXOpen.Tooling.SpreadsheetData.GetParameterValue , NXOpen.Tooling.SpreadsheetDataParameter.ParameterName

Created in NX11.0.0

License requirements: None.

Parameters
paraNameThe parameter name
paraValueThe parameter value
unsafe void NXOpen.Tooling.AddReusablePart.UpdateParametersByConfiguration ( )
inline

Updates parameters by configuration

Created in NX12.0.1

License requirements: None.

unsafe void NXOpen.Tooling.AddReusablePart.UpdatePartData ( )
inline

Updates the part data of a reusable component

Created in NX9.0.0

License requirements: None.

unsafe void NXOpen.Tooling.AddReusablePart.UpdatePocketBody ( bool  createPattern,
NXOpen.Tooling.AddReusablePart.PocketBodyMethod  updatePocketBody 
)
inline

Update pocket body for mw library reusable component

Created in NX11.0.0

License requirements: None.

Parameters
createPatternFlag to decide whether to create pocket body pattern or not
updatePocketBodyFlag to decide whether to create pocket body, delete or update 0: add; 1: delete; 2:update
unsafe void NXOpen.Tooling.AddReusablePart.UpdatePositioningOffset ( string  positionOffSet)
inline

Update positioning offset

Created in NX11.0.0

License requirements: None.

Parameters
positionOffSetThe positionging offset value that defined in the krx file
unsafe void NXOpen.Tooling.AddReusablePart.UpdateReusableComponent ( )
inline

Updates the part data for a reusable component, this is mainly used to update parameter for a reusable component

Created in NX9.0.0

License requirements: None.

unsafe void NXOpen.Tooling.AddReusablePart.UpdateReusablePocket ( )
inline

Updates the pocket for a reusable component

Created in NX9.0.0

License requirements: None.

Property Documentation

unsafe NXOpen.Assemblies.ComponentPatternBuilder NXOpen.Tooling.AddReusablePart.ComponentPatternBuilder
getset

Returns or sets the current component pattern builder

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.AddReusablePart.ComponentMode NXOpen.Tooling.AddReusablePart.ComponentType
getset

Returns or sets the current component type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Sketch NXOpen.Tooling.AddReusablePart.PositioningFeature
getset

Returns or sets the positioning feature that needed for reusable component

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.AddReusablePart.PositionMethod NXOpen.Tooling.AddReusablePart.PositionMode
getset

Returns or sets the current position method

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.